org.apache.avro.ipc.generic

## Class GenericResponder

- java.lang.Object
- - org.apache.avro.ipc.Responder
  - - org.apache.avro.ipc.generic.GenericResponder

Direct Known Subclasses:
  SpecificResponder

    public abstract class GenericResponder
    extends Responder

`Responder` implementation for generic Java data.

### Field Summary

### Fields inherited from class org.apache.avro.ipc.Responder

`rpcMetaPlugins`

### Constructor Summary

Constructors
Constructor and Description
`GenericResponder(org.apache.avro.Protocol local)`
`GenericResponder(org.apache.avro.Protocol local, org.apache.avro.generic.GenericData data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.avro.io.DatumReader<Object>` `getDatumReader(org.apache.avro.Schema actual, org.apache.avro.Schema expected)`
`protected org.apache.avro.io.DatumWriter<Object>` `getDatumWriter(org.apache.avro.Schema schema)`
`org.apache.avro.generic.GenericData` `getGenericData()`
`Object` `readRequest(org.apache.avro.Schema actual, org.apache.avro.Schema expected, org.apache.avro.io.Decoder in)` Reads a request message.
`void` `writeError(org.apache.avro.Schema schema, Object error, org.apache.avro.io.Encoder out)` Writes an error message.
`void` `writeResponse(org.apache.avro.Schema schema, Object response, org.apache.avro.io.Encoder out)` Writes a response message.

### Methods inherited from class org.apache.avro.ipc.Responder

`addRPCPlugin, getLocal, getRemote, respond, respond, respond`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericResponder

    public GenericResponder(org.apache.avro.Protocol local)

#### GenericResponder

    public GenericResponder(org.apache.avro.Protocol local,
                            org.apache.avro.generic.GenericData data)

### Method Detail

#### getGenericData

    public org.apache.avro.generic.GenericData getGenericData()

#### getDatumWriter

    protected org.apache.avro.io.DatumWriter<Object> getDatumWriter(org.apache.avro.Schema schema)

#### getDatumReader

    protected org.apache.avro.io.DatumReader<Object> getDatumReader(org.apache.avro.Schema actual,
                                                                    org.apache.avro.Schema expected)

#### readRequest

    public Object readRequest(org.apache.avro.Schema actual,
                              org.apache.avro.Schema expected,
                              org.apache.avro.io.Decoder in)
                       throws IOException

Description copied from class: `Responder`
Reads a request message.

Specified by:
  `readRequest` in class `Responder`
Throws:
  `IOException`

#### writeResponse

    public void writeResponse(org.apache.avro.Schema schema,
                              Object response,
                              org.apache.avro.io.Encoder out)
                       throws IOException

Description copied from class: `Responder`
Writes a response message.

Specified by:
  `writeResponse` in class `Responder`
Throws:
  `IOException`

#### writeError

    public void writeError(org.apache.avro.Schema schema,
                           Object error,
                           org.apache.avro.io.Encoder out)
                    throws IOException

Description copied from class: `Responder`
Writes an error message.

Specified by:
  `writeError` in class `Responder`
Throws:
  `IOException`